Connectors

Create a Connector

POST
/v2/connectors
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v2/connectors" \  -H "Content-Type: application/json" \  -d '{    "name": "Box → Invoice workflow",    "workflowID": "wf_2N6gH8ZKCmvb6BnFcGqhKJ98VzP",    "type": "paragon",    "paragonIntegration": "googledrive",    "paragonConfiguration": {      "folderId": "YOUR_GOOGLE_DRIVE_FOLDER_ID"    }  }'
{
  "type": "box",
  "connectorID": "string",
  "name": "string",
  "workflowID": "string",
  "workflowName": "string",
  "boxClientID": "string",
  "boxClientSecret": "string",
  "boxEnterpriseID": "string",
  "boxFolderID": "string",
  "paragonSyncID": "string",
  "paragonIntegration": "string",
  "paragonConfiguration": {}
}